
/* 
 * LCAUView.h -- Interface file for the LCAUView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use, nor even that it has any use at all.
 *
 */

#import <appkit/appkit.h>

@interface LCAUView:View {

	id		keepTop;
	id		wrule;
	id		dataList;
	id		rbutton,sbutton;
	id		ruleNumber;
	id 		revRule;
	id		statEnpai;
	id		statEntro;
	id		statLines;
	id		statMode;
	id		statPair;
	id		statState;
	id		statSDevi;
	id		statNhood;
	id		statIndx;
	id		statLamb;
	id		tiDat;
	id		valBx;

	id		theEntropyView;
	id		thePlaidView;
	id		theShEvolView;
	id		theThEvolView;

	id		entropyWindow;
	id		evolWindow;
	id		keyWindow;
	id		shEvolWindow;
	id		thEvolWindow;
	id		plaidWindow;
	
        id		delegate;
	id		points;
	id		crossCursor;
	id		readOut;
	float		radius;
	BOOL		needsClearing;

	id		menuCopy;
	id		menuPrint;

}

- arhi:sender;
- printArhi:sender;
- drawEvolu:sender;
- copyShEvol:sender;
- drawShEvol:sender;
- drawThEvol:sender;
- nxasfreq;
- nxmoncar: (int) l;
- printEvolu:sender;
- showCursor:sender;
- showWrule:sender;
- prob:sender;

- drawPlaid:sender;
- drawStat:sender;
- printPlain:sender;
- printPlaid:sender;
- printStat:sender;
- printShEvol:sender;
- printTMatrix:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- clear:sender;
- plot:sender;
- mouseDown:(NXEvent *)theEvent;
- registerPoint:(NXPoint *)aPoint;
- setRadius:(float)aFloat;
- (float)radius;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;
- (const char *)inspectorName;
@end

/* end LCAUView.h */
