/* 
 * SusetView.h -- Interface file for the SusetView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use, nor that it even has a use.
 *
 */

#import <appkit/appkit.h>

@interface SubsetView:View
{


	id		treeShow;
	id		linkAge;
	id		moveWhich;
	id		nodeNumber;
	id		ruleNumber;

	id		suTriv1;
	id		suTriv2;

	id		theSubsetView;
	id		subsetWindow;
	id		timeDate;
	
	id		menuCopyV;
	id		menuCopyW;
	id		menuPrint;

	id		delegate;
	id		crossCursor;
}

- loadSubset:sender;
- drawSubset:sender;
- prepareSubset:sender;

- copySubsetView:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;

@end 

/* end SusetView.h */

