
/* nxardn41.c						*/
/* program for lcau41 option 'e'			*/
/* Garden of Eden and counterimage calculations		*/
/* Harold V. McIntosh, 10 February 1990			*/

/*  Copyright (C) 1987	*/
/*  Copyright (C) 1988	*/
/*  Copyright (C) 1989	*/
/*  Copyright (C) 1990	*/
/*  Harold V. McIntosh	*/
/*  Gerardo Cisneros S.	*/

# include <math.h>
# include "nxlcau41.h"
# include "nxardn41.h"

extern char ascrule[KK][KK][KK];
extern int  binrule[KK][KK][KK];
extern double stt, sta[][K2+1][K2+1];

int  h8[HH];


extern parneih    amat;
extern parneih    bmat;
extern parneih    cmat;
extern parneih    dmat;
extern parneih    fmat;
extern parneih    gmat;
extern parneih    hmat;
extern parneih    xmat;

extern twoparn    tmat;
extern twoparn    umat;
extern twoparn    vmat;

/* edit the Garden of Eden and ancestor calculation */
void edard() {
char c;
int    i, l, ll, m;
int    i0, i1, i2;
int    s0, s1, s2, s3;
int    t0, t1, t2, t3;
double bb, e, f, ff, g, gg;
double ii, ss, h, hh, kay;
double ex, wy, go, gr, gl;
double cave, csig, xave, xsig; 
double cvec[KK][KK];
double xvec[KK][KK];
double rr[3][2], k[4][2];
double stt, sta[5][K2+1][K2+1];
int a, b, s, t;
int ttsum();

  while (0<1) {
  switch (c) {

//    case 'h': histo(amat,bmat,cmat); break;
//    case 'j': rvers(amat,bmat,cmat); break;
//     case 'p':
// 	l=0;
// 	mtmat(hmat,gmat,gmat);
// 	cymat(gmat,hmat);
// 	pmat(gmat,7,4);
// 	t=tsum(gmat);
// 	s=nzel(gmat);
// 	videocursor(0,20,0); printf("%4u (%2u) %5u",t,s,l);
// 	break;
    case 'r': rever(); break;
    case 's':
	videoscroll(1,0,24,39,0,0);
	videocursor(0,1,0);
	if (ss==0) {printf("S required first"); break;}
	  for (i0=0; i0<K2+1; i0++)
	  for (i1=i0; i1<K2+1; i1++)
	    {f=sta[0][i0][i1]; if (f>0.0) {
	    g=sta[1][i0][i1]/f;
	    h=sta[2][i0][i1]/f;
	    e=sqrt(h-g*g);
            printf("%1u%1u %6.1f, %6.3f, %6.2f, %6.3f\n",i0,i1,f,g,h,e);
	    }}
	f=sta[0][3][3]-stt; if (f>0.0) {
	    g=(sta[1][3][3]-3.0*stt)/f;
	    h=(sta[2][3][3]-9.0*stt)/f;
	    e=sqrt(h-g*g);
	    printf("\n");
	    printf("-- %6.1f, %6.3f, %6.2f, %6.3f\n",f,g,h,e);
	    }
	printf("tt %6.1f, %6.3f, %6.2f, %6.3f\n",stt,3.0,9.0,0.0);
	break;
//     case 'u':			/* variance of eigenvector components	*/
// 	auua(&xave,&xsig,&ex,&wy,cvec,xvec,umat);
// 	videocursor(0,22,0); printf("av%6.3f, va%6.3f",xave,xsig);
// 	videocursor(0,24,0); printf(" +%6.3f, ..%6.3f",wy,ex);
// 	break;
//     case 'v':			/* variance of column sums 		*/
// 	avva(&cave,&csig,cvec,tmat);
// 	videocursor(0,23,0); printf("av%6.3f, va%6.3f",cave,csig);
// 	break;
    case 'w':
      videoscroll(1,0,24,39,0,0);
      videocursor(0,1,0);
      if (ss==0) {printf("S required first"); break;}
        for (i0=0; i0<K2+1; i0++)
        for (i1=i0; i1<K2+1; i1++)
	  {f=sta[0][i0][i1]; if (f>0.0) {
	  e=sta[1][i0][i1]/f;
          g=sta[3][i0][i1];
          h=sta[4][i0][i1];
	  ff=((double)(i0*i0+i1*i1+(K2-i0-i1)*(K2-i0-i1)))/9.0;
          printf("%1u%1u  %6.3f, %6.3f, %6.3f, %6.3f\n",i0,i1,g,h,e,ff);
        }}
      break;
//     case 'P':
//  	ll=0;
//  	mmtmat(vmat,umat,umat);
//  	ccymat(umat,vmat);
//  	ppmat(umat,12,0);
//  	t=ttsum(umat);
//  	s=nnzel(umat);
//  	videocursor(0,20,36); printf("%2u",ll);
//  	videocursor(0,22,18); printf("%6u [%4u]        ",t,s);
//  	videocursor(0,23,20); printf("                   ");
//  	videocursor(0,24,20); printf("                   ");
//  	break;
//      case 'S':
//        for (i0=0; i0<5; i0++)
//        for (i1=0; i1<K2+1; i1++) for (i2=0; i2<K2+1; i2++) sta[i0][i1][i2]=0.0;
//        for (i1=0; i1<K2+1; i1++) for (i2=0; i2<K2+1; i2++) sta[3][i1][i2]=10.0;
//        stt=0.0;
//        allmo(&stt,sta);
//        ss=1;
//        break;
//      case '=': m=l; cymat(&xmat,&gmat); break;
//      case '.':
//  	videoscroll(1,0,24,39,0,0);
//  	pmat(amat,1,0);
//  	pmat(bmat,1,4);
//   	pmat(cmat,1,8);
//  	videocursor(0,5,0); printf("a=%1u",t0);
//  	videocursor(0,5,4); printf("b=%1u",t1);
//  	videocursor(0,5,8); printf("c=%1u",t2);
//  	pmat(gmat,7,4);
//  	break;
//      case '?': clard(); break;
    default: break;
    } /* end switch */
  }   /* end while  */
}

/* clear edard screen and set up menu */
void clard() {
  videomode(COLGRAF);
  videopalette(YELREGR);
  videocursor(0,0,0);
  scrrul();
  videocursor(0,3,0);
  printf("counterimages\n\n");
  printf("abc - 0,1 matrix\n");
  printf("ABC - times abc \n");
  printf("=xX - saved mtrx\n");
  printf("Q   - square    \n");
  printf("l   - eigenvalue\n");
  printf("h   - histogram \n");
  printf(".   - ancestors \n");
  printf("                \n");
  printf("                \n");
  printf("?/   - clr scrn\n");
  printf("<cr> - exit\n\n");
}

void rvers(amat,bmat,cmat,dmat) parneih *amat, *bmat, *cmat, *dmat; {
parneih    xmat;
parneih    m1[KK];
parneih    m2[KK][KK];
parneih    m3[KK][KK][KK];
parneih    m4[KK][KK][KK][KK];
int    i, i0, i1, i2, i3;
int    t1[KK], t2[KK][KK], t3[KK][KK][KK], t4[KK][KK][KK][KK];
double o, q, r, s, t, u, v, w, kk1, kk2, kk3, kk4, curt(), fort();

kk1=(double)KK;
kk2=(double)K2;
kk3=(double)K3;
kk4=(double)K4;
// videoscroll(1,0,24,39,0,0);
cymat(&m1[0],&amat);
cymat(&m1[1],&bmat);
cymat(&m1[2],&cmat);
cymat(&m1[3],&dmat);
for (i0=0; i0<KK; i0++) t1[i0]=tsum(&m1[i0]);
//videocursor(0,2,0); printf("%3u,%3u,%3u",t1[0],t1[1],t1[2]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  {
  mmat(&m2[i0][i1],&m1[i0],&m1[i1]);
  t2[i0][i1]=tsum(&m2[i0][i1]);
  }
// videocursor(0,4,0);
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  printf("%3u,",t2[i0][i1]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
  {
  mmat(&m3[i0][i1][i2],&m1[i0],&m2[i1][i2]);
  t3[i0][i1][i2]=tsum(&m3[i0][i1][i2]);
  }
// videocursor(0,6,0);
for (i0=0; i0<KK; i0++)
  {
  for (i1=0; i1<KK; i1++)
  for (i2=0; i2<KK; i2++)
    printf("%3u,",t3[i0][i1][i2]);
  printf("\n");
  }

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  {
  mmat(&m4[i0][i1][i2][i3],&m2[i0][i1],&m2[i2][i3]);
  t4[i0][i1][i2][i3]=tsum(&m4[i0][i1][i2][i3]);
  }
// videocursor(0,10,0);
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  {
  for (i2=0; i2<KK; i2++)
  for (i3=0; i3<KK; i3++)
    printf("%3u,",t4[i0][i1][i2][i3]);
  printf("\n");
  }

q=r=s=0.0;
for (i=0; i<KK; i++) {t=((double)(t1[i]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=sqrt(s/kk1); videocursor(0,20,0);  printf("%6.2f",t);
t=curt(r/kk1); videocursor(0,20,10); printf("%6.2f",t);
t=fort(q/kk1); videocursor(0,20,20); printf("%6.2f",t);

q=r=s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
 {t=((double)(t2[i0][i1]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=sqrt(s/kk2); videocursor(0,21,0);  printf("%6.2f",t);
t=curt(r/kk2); videocursor(0,21,10); printf("%6.2f",t);
t=fort(q/kk2); videocursor(0,21,20); printf("%6.2f",t);

q=r=s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
  {t=((double)(t3[i0][i1][i2]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=u=sqrt(s/kk3); videocursor(0,22,0);  printf("%6.2f",t);
t=v=curt(r/kk3); videocursor(0,22,10); printf("%6.2f",t);
t=w=fort(q/kk3); videocursor(0,22,20); printf("%6.2f",t);

q=r=s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  {t=((double)(t4[i0][i1][i2][i3]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=sqrt(s/kk4); videocursor(0,23,0);  printf("%6.2f",t);
s=1.0; if (u!=0.0) s=t/u;
videocursor(0,24,0); printf("r:%6.2f",s);
t=curt(r/kk4); videocursor(0,23,10); printf("%6.2f",t);
s=1.0; if (v!=0.0) s=t/v;
videocursor(0,24,12); printf("r:%6.2f",s);
t=fort(q/kk4); videocursor(0,23,20); printf("%6.2f",t);
s=1.0; if (w!=0.0) s=t/w;
videocursor(0,24,24); printf("r:%6.2f",s);

}

void histo(amat,bmat,cmat,dmat) parneih *amat, *bmat, *cmat, *dmat; {
parneih    xmat;
parneih    m1[KK];
parneih    m2[KK][KK];
parneih    m4[KK][KK][KK][KK];
int    i, i0, i1, i2, i3, i4, i5, i6, i7;
int    t8[KK][KK][KK][KK][KK][KK][KK][KK];
int    po, da, h8[HH];
double s, t, kk8;

kk8=(double)K8;
videoscroll(1,0,24,39,0,0);
cymat(&m1[0],&amat);
cymat(&m1[1],&bmat);
cymat(&m1[2],&cmat);
cymat(&m1[3],&dmat);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  mmat(&m2[i0][i1],&m1[i0],&m1[i1]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  mmat(&m4[i0][i1][i2][i3],&m2[i0][i1],&m2[i2][i3]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {
  mmat(&xmat,&m4[i0][i1][i2][i3],&m4[i4][i5][i6][i7]);
  t8[i0][i1][i2][i3][i4][i5][i6][i7]=tsum(&xmat);
  }

for (i0=0; i0<HH; i0++) h8[i0]=0;

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {i=t8[i0][i1][i2][i3][i4][i5][i6][i7]; if (i<HH) h8[i]++;}

po=da=0;
for (i=0; i<HH; i++)
  {
  i0=i%20;
  i1=i/20;
  po+=h8[i];
  da+=i*h8[i];
  videocursor(0,i0+1,13*i1+1);
  printf("%2u %4u %4u",i,h8[i],po);
  }

videocursor(0,22,0);  printf("ttl %4u in %4u pts;",AV*K8,K8);
videocursor(0,23,0);  printf("average: %2u",AV);
videocursor(0,22,23); printf("beyond:%5u,%3u",AV*K8-da,K8-po);

s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {t=((double)(t8[i0][i1][i2][i3][i4][i5][i6][i7]-AV)); s+=t*t;}
t=sqrt(s/kk8);
videocursor(0,23,24); printf("sigma:   %6.2f",t);
s=1.0; if (t>1.0) s=exp(log(t)/8.0);
videocursor(0,24,0); printf("relative sigma:   %6.2f",s);

}

double curt(z) double z; {return exp(log(z)/3.0);}

double fort(z) double z; {return exp(log(z)/4.0);}

/* search for the reversed rule */
void rever() {
int revrule[KK][KK][KK];
int sevrule[KK][KK][KK][KK][KK];
int tevrule[KK][KK][KK][KK][KK][KK][KK];
int i0,i1,i2;
  videocursor(0,17,0); printf(".");
  if (runiq(revrule,binrule)) {
    videocursor(0,17,0);
    for (i0=0; i0<KK; i0++)
    for (i1=0; i1<KK; i1++)
    for (i2=0; i2<KK; i2++)
      printf("%1d",revrule[i0][i1][i2]);
    printf("\n");
    }
  videocursor(0,18,0); printf(".");
  if (suniq(sevrule,binrule)) {
    videocursor(0,18,0);
    for (i0=0; i0<KK; i0++)
    for (i1=0; i1<KK; i1++)
    for (i2=0; i2<KK; i2++)
      printf("%1d",binrule[i0][i1][i2]);
    printf("\n");
    }
  videocursor(0,19,0); printf(".");
  if (tuniq(tevrule,binrule)) {
    videocursor(0,19,0);
    for (i0=0; i0<KK; i0++)
    for (i1=0; i1<KK; i1++)
    for (i2=0; i2<KK; i2++)
      printf("%1d",binrule[i0][i1][i2]);
    printf("\n");
    }
}

int runiq(brul,rrul) 
int brul[KK][KK][KK], rrul[KK][KK][KK]; {
int a, b, d;
int j0, j1, j2, j3, j4;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
  rrul[j0][j1][j2]=KK;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
  {
  a=brul[j0][j1][j2];
  b=brul[j1][j2][j3];
  d=brul[j2][j3][j4];
  if (rrul[a][b][d]==KK) rrul[a][b][d]=j2;
  if (rrul[a][b][d]!=j2) return(0);
  }
return(1);
}

int suniq(brul,drul) int brul[KK][KK][KK], drul[KK][KK][KK][KK][KK]; {
int a, b, e, f, g;
int j0, j1, j2, j3, j4, j5, j6;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
  drul[j0][j1][j2][j3][j4]=KK;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
for (j6=0; j6<KK; j6++)
  {
  a=brul[j0][j1][j2];
  b=brul[j1][j2][j3];
  e=brul[j2][j3][j4];
  f=brul[j3][j4][j5];
  g=brul[j4][j5][j6];
  if (drul[a][b][e][f][g]==KK) drul[a][b][e][f][g]=j3;
  if (drul[a][b][e][f][g]!=j3) return(0);
  }
return(1);
}

int tuniq(brul,erul) int brul[KK][KK][KK], erul[KK][KK][KK][KK][KK][KK][KK]; {
int a, b, e, f, g, h, i;
int j0, j1, j2, j3, j4, j5, j6, j7, j8;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
for (j6=0; j6<KK; j6++)
  erul[j0][j1][j2][j3][j4][j5][j6]=KK;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
for (j6=0; j6<KK; j6++)
for (j7=0; j7<KK; j7++)
for (j8=0; j8<KK; j8++)
  {
  a=brul[j0][j1][j2];
  b=brul[j1][j2][j3];
  e=brul[j2][j3][j4];
  f=brul[j3][j4][j5];
  g=brul[j4][j5][j6];
  h=brul[j5][j6][j7];
  i=brul[j6][j7][j8];
  if (erul[a][b][e][f][g][h][i]==KK) erul[a][b][e][f][g][h][i]=j4;
  if (erul[a][b][e][f][g][h][i]!=j4) return(0);
  }
return(1);
}

int uuniq(brul,erul) int brul[KK][KK][KK];
int erul[KK][KK][KK][KK][KK][KK][KK][KK][KK]; {
int a, b, e, f, g, h, i, j, k;
int j0, j1, j2, j3, j4, j5, j6, j7, j8, j9, ja;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
for (j6=0; j6<KK; j6++)
for (j7=0; j7<KK; j7++)
for (j8=0; j8<KK; j8++)
  erul[j0][j1][j2][j3][j4][j5][j6][j7][j8]=KK;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
for (j6=0; j6<KK; j6++)
for (j7=0; j7<KK; j7++)
for (j8=0; j8<KK; j8++)
for (j9=0; j9<KK; j9++)
for (ja=0; ja<KK; ja++)
  {
  a=brul[j0][j1][j2];
  b=brul[j1][j2][j3];
  e=brul[j2][j3][j4];
  f=brul[j3][j4][j5];
  g=brul[j4][j5][j6];
  h=brul[j5][j6][j7];
  i=brul[j6][j7][j8];
  j=brul[j7][j8][j9];
  k=brul[j8][j9][ja];
  if (erul[a][b][e][f][g][h][i][j][k]==KK) erul[a][b][e][f][g][h][i][j][k]=j5;
  if (erul[a][b][e][f][g][h][i][j][k]!=j5) return(0);
  }
return(1);
}

/* calculate wru from a (4,2) argument rule where WNML=513 */
void wrru42(c,ru) char *c, ru[KK][KK][KK][KK][KK]; {
int  i, j;
int  i0, i1, i2, i3;
j=0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  {
  i= 4*(ru[i0][i1][i2][i3][1]-'0')+(ru[i0][i1][i2][i3][0]-'0')+'0';
  if (i>'9') i=i+('A'-':');
  c[513-2*(KK*(KK*(KK*i0+i1)+i2)+i3)-2]=i;
  i= 4*(ru[i0][i1][i2][i3][3]-'0')+(ru[i0][i1][i2][i3][2]-'0')+'0';
  if (i>'9') i=i+('A'-':');
  c[513-2*(KK*(KK*(KK*i0+i1)+i2)+i3)-3]=i;
  }
c[513-1]=0;
}

/* fill (KK,1) ascrule from (KK,1) binrule */
void byntoasc(as,bi) char as[KK][KK][KK]; int bi[KK][KK][KK]; 
{int i0, i1, i2; 
  for (i0=0; i0<KK; i0++) 
  for (i1=0; i1<KK; i1++) 
  for (i2=0; i2<KK; i2++) 
    as[i0][i1][i2]=bi[i0][i1][i2]+'0';
}

/* fill (KK,2) ascrule from (KK,2) binrule */
void bynntoasc(as,bi)
 char as[KK][KK][KK][KK][KK];
 int bi[KK][KK][KK][KK][KK]; 
{int i0, i1, i2, i3, i4; 
  for (i0=0; i0<KK; i0++) 
  for (i1=0; i1<KK; i1++) 
  for (i2=0; i2<KK; i2++) 
  for (i3=0; i3<KK; i3++) 
  for (i4=0; i4<KK; i4++) 
    as[i0][i1][i2][i3][i4]=bi[i0][i1][i2][i3][i4]+'0';
}

/* calculate the first two moments of all rules */
void allmo(stt,sta)
  double *stt, sta[5][K3+1]; {
int tmat[KK][KK][KK][KK][KK][KK][KK][KK];
int umat[KK][KK][KK][KK][KK][KK][KK][KK];
int vmat[KK][KK][KK][KK][KK][KK][KK][KK];
int amat[KK][KK][KK][KK], bmat[KK][KK][KK][KK];
int cmat[KK][KK][KK][KK], dmat[KK][KK][KK][KK];
int ig, ih, hg[301];
int i, i0, i1, i2, i3, i4, i5, i6, i7;
int t0, t1;
double f, g, ff;
  i=0;
//  videoscroll(1,0,24,39,0,0);
  for (i0=0;  i0<301; i0++)   hg[i0]=0;
//  for (i0=10; i0<360; i0+=50) videodot( 99,i0,1);
//  for (i0=10; i0<360; i0+=50) videodot(199,i0,1);
  for (i0=0; i0<KK; i0++) {binrule[0][0][0]=i0;
  for (i1=0; i1<KK; i1++) {binrule[0][0][1]=i1;
  for (i2=0; i2<KK; i2++) {binrule[0][1][0]=i2;
  for (i3=0; i3<KK; i3++) {binrule[0][1][1]=i3;
  for (i4=0; i4<KK; i4++) {binrule[1][0][0]=i4;
  for (i5=0; i5<KK; i5++) {binrule[1][0][1]=i5;
  for (i6=0; i6<KK; i6++) {binrule[1][1][0]=i6;
  for (i7=0; i7<KK; i7++) {binrule[1][1][1]=i7;
    zmat(amat);  djmat(amat,0);
    zmat(bmat);  djmat(bmat,1);
    zmat(cmat);  djmat(cmat,2);
    zmat(dmat);  djmat(dmat,3);
    zzmat(tmat); tensq(tmat,amat,bmat,cmat,dmat);
    t0=tsum(amat);
    t1=tsum(bmat);
    if (t0<=t1)
      {
      mmmat(vmat,tmat,tmat);
      mmmat(umat,tmat,vmat);
      mmmat(vmat,tmat,umat);
      ff=(double)ttsum(umat);
      f= (double)ttsum(vmat);
      g=f/ff;
      ig=(int)(300.0*((g-2.0)/(4.0-2.0)));
      hg[ig]++;
      ih=hg[ig]; if (ih>100) ih=100+ih/10;
      videodot(ih,10+ig,2);
      sta[0][t0]+=1.0;
      sta[1][t0]+=g; sta[2][t0]+=g*g;
      if (sta[3][t0]>=g) sta[3][t0]=g;
      if (sta[4][t0]<=g) sta[4][t0]=g;
      if (g==2.0) *stt+=1.0;
      }
    i++;
    }}}}}}}}
}

/* print matrix */
void pmat(z) parneih *z; {
int i0, i1, i2, i3;
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK; i1++)
    {
    for (i2=0; i2<KK; i2++)
    for (i3=0; i3<KK; i3++)
      printf("%1d",z->four[i0][i1][i2][i3]);
    printf("\n");
    }
}

/* display K4xK4 matrix */
void qqmat(z) twoparn *z; {
int i0, i1, k, l;
for (i0=0; i0<K4; i0++)
for (i1=0; i1<K4; i1++)
  {
  k=0; l=z->two[i0][i1];
  if (l==1) k=1;
  if (l>=2) k=2;
  if (l>=4) k=3;
  videodot(i0,i1,k);
  }
}

/* total matrix elements */
int tsum(z) parneih *z; 
{int t, i; for (i=t=0; i<K4; i++) t+=z->one[i]; return t;}

/* total matrix elements */
int ttsum(z) twoparn *z; {int t, i;
for (i=t=0; i<K4*K4; i++) t+=z->one[i]; return t;}

/* count nonzero matrix elements */
int nzel(z) parneih *z; {
int i, t;
  for (i=0, t=0; i<K4; i++) if (z->one[i]!=0) t++;
  return t;
}

/* calculate row sums */
void rowsum(x,z) int x[KK][KK]; parneih *z; {int i0, i1, j0, j1;
for (i0=0; i0<KK; i0++) for (i1=0; i1<KK; i1++) {
  x[i0][i1]=0;
  for (j0=0; j0<KK; j0++) for (j1=0; j1<KK; j1++) 
	 x[i0][i1]+=z->four[i0][i1][j0][j1];
  }
}

/* calculate column sums */
void colsum(x,z) int x[KK][KK]; parneih *z; {int i0, i1, j0, j1;
for (j0=0; j0<KK; j0++) for (j1=0; j1<KK; j1++) {
  x[j0][j1]=0;
  for (i0=0; i0<KK; i0++) for (i1=0; i1<KK; i1++) 
	x[j0][j1]+=z->four[i0][i1][j0][j1];
  }
}

/* copy one 4x4 matrix from another: z=x */
void cymat(z,x) parneih *z, *x; 
{int i; for (i=0; i<K4; i++) z->one[i]=x->one[i];}

/* multiply matrices */
void mmat(z,x,y) parneih *z, *x, *y; {
int i0, i1, i2, i3, i4, i5;
    for (i0=0; i0<KK; i0++)
    for (i1=0; i1<KK; i1++)
    for (i4=0; i4<KK; i4++)
    for (i5=0; i5<KK; i5++)
      {
      z->four[i0][i1][i4][i5]=0;
      for (i2=0; i2<KK; i2++)
      for (i3=0; i3<KK; i3++)
	 z->four[i0][i1][i4][i5]+=
		x->four[i0][i1][i2][i3]*y->four[i2][i3][i4][i5];
      }
}

/* copy one K4xK4 matrix from another: z=x */
void ccymat(z,x) twoparn *z, *x;
{int i;
  for (i=0; i<K4*K4; i++) z->one[i]=x->one[i];}

/* multiply K4xK4 matrices */
void mmmat(z,x,y) twoparn *z, *x, *y; {
int i0, i1, i2;
  for (i0=0; i0<K4; i0++)
  for (i2=0; i2<K4; i2++)
      {
      z->two[i0][i2]=0;
      for (i1=0; i1<K4; i1++) z->two[i0][i2]+=x->two[i0][i1]*y->two[i1][i2];
      }
}

/* generate the de Bruijn fragment evolving to l in matrix z */
void djmat(z,l) parneih *z; int l; {
int i0, i1, i2;
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK; i1++)
  for (i2=0; i2<KK; i2++)
    z->four[i0][i1][i1][i2]=(binrule[i0][i1][i2]==l)?1:0;
}

/* zero a 4x4 matrix */
void zmat(z) parneih *z; {int i; for (i=0; i<K4; i++) z->one[i]=0;}

/* generate a K4xK4 unit matrix */
void unmat(z) twoparn *z; 
{int i; zzmat(z); for (i=0; i<K4; i++) z->two[i][i]=1;}

/* zero a K4xK4 matrix */
void zzmat(z) twoparn *z; {int i; for (i=0; i<K4*K4; i++) z->one[i]=0;}

/* calculate tensor square sum axa+bxb+cxc+dxd */
void tensq(tmat,amat,bmat,cmat,dmat)
  twoparn *tmat;
  parneih *amat;
  parneih *bmat;
  parneih *cmat;
  parneih *dmat; {
int i0, i1, i2, i3, i4, i5, i6, i7;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {
  tmat->eight[i0][i1][i2][i3][i4][i5][i6][i7]+=
	amat->four[i0][i1][i4][i5]*amat->four[i2][i3][i6][i7]+
	bmat->four[i0][i1][i4][i5]*bmat->four[i2][i3][i6][i7]+
	cmat->four[i0][i1][i4][i5]*cmat->four[i2][i3][i6][i7]+
	dmat->four[i0][i1][i4][i5]*dmat->four[i2][i3][i6][i7];
  }
}

/* average and variance of eigenvector components */

void auua(ave,var,ex,wy,cve,vec,mat)
 double *ave, *var, *ex, *wy, *cve, *vec;
 twoparn *mat; {
int    i, j;
double a, v, p, q, r, kk2;
kk2=(double)K2;
for (i=0; i<K2; i++)
for (vec[i]=0.0, j=0; j<K2; j++)
  vec[i]+=(double)mat->two[j][i];
for (a=0.0, i=0; i<K2; i++) a+=vec[i];
for (i=0; i<K2; i++) vec[i]/=a;
a=1.0/kk2;
for (i=0; i<K2; i++) vec[i]-=a;
for (v=0.0, i=0; i<K2; i++) v+=vec[i]*vec[i];
for (p=q=r=0.0, i=0; i<K2; i++)
  {
  p+=cve[i]*vec[i];
  q+=cve[i]*cve[i];
  r+=vec[i]*vec[i];
  }
*ave=a;
*var=sqrt(v/kk2);
*ex=0.0; if(q*r>0.0) *ex=p/sqrt(q*r);
*wy=p;
}

/* average and variance of column sums */

void avva(ave,var,vec,mat) double *ave, *var, *vec; twoparn *mat; {
int    i, j;
double a, v, kk2;
kk2=(double)K2;
for (i=0; i<K2; i++)
for (vec[i]=0.0, j=0; j<K2; j++)
  vec[i]+=(double)mat->two[i][j];
for (a=0.0, i=0; i<K2; i++) a+=vec[i];
a/=kk2;
for (i=0; i<K2; i++) vec[i]-=a;
for (v=0.0, i=0; i<K2; i++) v+=vec[i]*vec[i];
*ave=a;
*var=sqrt(v/kk2);
}

/* end nxardn41.c */
